<template>
  <div class="assistance-detail-container">
    <div class="assistance-detail-box fr-view" v-html="content"></div>
  </div>
</template>

<script>
import {assistanceDocInterence} from '@/api/api.js'
import {createBottomHref} from './utils/common'
  export default {
    name:"assistanceDocDetail",
    data() {
      return {
        content:''
      }
    },
    created(){
      if(this.$route.query.DocId){
        assistanceDocInterence.getAssistanceDoc({DocId:this.$route.query.DocId}).then(res=>{
          if(res.Ret == 200){
            this.content = res.Data.Content + createBottomHref(res.Data.Recommend || [{Name:"",Url:""},{Name:"",Url:""}])
          }
        })
      }else{
        this.content = sessionStorage.getItem("documentDoc") || ''
      }
    }
  }
</script>

<style lang="scss" scoped>
.assistance-detail-container{
  background-color: white;
  min-height: calc(100vh - 110px);
  // height: calc(100vh - 110px);
  padding: 20px;
  box-sizing: border-box;
  border: solid 1px #ECECEC;
  // .assistance-detail-box{
  //   border: solid 1px #333333;
  //   height: 100%;
  //   width: 100%;
  // }
}
</style>